Retrieve list of cash deposits
curl --request GET \
--url https://business-api.onboard.xyz/ledger/cash-deposits \
--header 'x-api-key: <api-key>'import requests
url = "https://business-api.onboard.xyz/ledger/cash-deposits"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://business-api.onboard.xyz/ledger/cash-deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"size": 1,
"totalItems": 1,
"nextPage": 1,
"previousPage": 1,
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"currency": "USD",
"status": "PENDING",
"payinCurrency": "NGN",
"amount": 100,
"rate": 1450.75,
"payinAmount": 145075,
"createdDate": "2023-11-07T05:31:56Z",
"accountTransactionId": "<string>",
"providerReference": "PROV123456",
"paymentDetails": {
"payinCurrency": "NGN",
"details": {
"bankCode": "<string>",
"accountInfoType": "<string>",
"accountName": "John Doe",
"accountNumber": "230101010",
"bankName": "<string>",
"bankAddress": {
"streetAddress": "11 Main Street",
"city": "Gbagada",
"state": "Lagos",
"country": "NG",
"postalCode": "200124",
"apartmentNo": "5B"
},
"reference": "PROV123456"
}
}
}
]
}{
"code": "UNAUTHORIZED",
"message": "Either client security header is missing or it is not valid."
}Cash Deposits
List Cash Deposits
Retrieve a list of cash deposits, can accept accountId, status
GET
/
ledger
/
cash-deposits
Retrieve list of cash deposits
Fetches all cash deposits.
Authorizations
Requires authentication via API key and HMAC signature.
x-api-key: Your API key generated from your Onboard Business dashboard.x-timestamp: Unix epoch timestamp (seconds) used in signature, allowed skew is 30 secondsx-signature: SHA256 HMAC HEX signature calculated overt={x-timestamp}&{requestBody}using your API Secret.
Query Parameters
Filter by the account that was credited. Can be the main account ID or a sub-account ID.
Page parameter, starting from 1
Required range:
x >= 1Required range:
1 <= x <= 100Response
Cash deposits list
Base object for paginated list
Descriptive name for the list
Positive integer
Required range:
x >= 0Positive integer
Required range:
x >= 0Positive integer
Required range:
x >= 0Positive integer
Required range:
x >= 0Show child attributes
Show child attributes